(* Content-type: application/vnd.wolfram.cdf.text *)

(*** Wolfram CDF File ***)
(* http://www.wolfram.com/cdf *)

(* CreatedBy='Mathematica 8.0' *)

(*************************************************************************)
(*                                                                       *)
(*  The Mathematica License under which this file was created prohibits  *)
(*  restricting third parties in receipt of this file from republishing  *)
(*  or redistributing it by any means, including but not limited to      *)
(*  rights management or terms of use, without the express consent of    *)
(*  Wolfram Research, Inc.                                               *)
(*                                                                       *)
(*************************************************************************)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       835,         17]
NotebookDataLength[     36563,        783]
NotebookOptionsPosition[     36805,        772]
NotebookOutlinePosition[     37338,        795]
CellTagsIndexPosition[     37295,        792]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 TagBox[
  StyleBox[
   DynamicModuleBox[{$CellContext`circuit$$ = 
    1, $CellContext`logC2$$ = -8, $CellContext`logf$$ = 
    2, $CellContext`logL1$$ = -6., $CellContext`logR1$$ = 
    1, $CellContext`logR2$$ = 3, $CellContext`logRd$$ = 
    3, $CellContext`tau$$ = 3, Typeset`show$$ = True, 
    Typeset`bookmarkList$$ = {}, Typeset`bookmarkMode$$ = "Menu", 
    Typeset`animator$$, Typeset`animvar$$ = 1, Typeset`name$$ = 
    "\"untitled\"", Typeset`specs$$ = {{
      Hold[
       Style["How to use EIS contour plot.", Bold, Medium]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["Potentiostat 3300", Bold, Medium]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["Simulation for the", Bold, Medium]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["equivalent circuit", Bold, Medium]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`circuit$$], 1, ""}, {
      1 -> "R1+R2/C2", 2 -> "R1+L1+R2/C2", 3 -> "R1+C2/(R2+M2)"}}, {
      Hold[
       Dynamic[
        Part[$CellContext`graphCirc, $CellContext`circuit$$]]], 
      Manipulate`Dump`ThisIsNotAControl}, {
      Hold[
       Style["Frequency parameter", 10, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`logf$$], 2, 
       "log(\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)/Hz)"}, -2, 6, 
      0.1}, {
      Hold[
       Style["R1+R2/C2, common parameters", 10, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`logR1$$], 1, 
       "log(\!\(\*\nStyleBox[\"R\",\n\
FontSlant->\"Italic\"]\)1/\[CapitalOmega])"}, 0, 2, 0.1}, {{
       Hold[$CellContext`logR2$$], 3, 
       "log(\!\(\*\nStyleBox[\"R\",\n\
FontSlant->\"Italic\"]\)2/\[CapitalOmega])"}, 1, 10, 0.1}, {{
       Hold[$CellContext`logC2$$], -8, 
       "log(\!\(\*\nStyleBox[\"C\",\nFontSlant->\"Italic\"]\)2/F)"}, -8, -5, 
      0.1}, {
      Hold[
       Style["L1+R1+R2/C2", 10, Bold]], Manipulate`Dump`ThisIsNotAControl}, {{
      
       Hold[$CellContext`logL1$$], -6., 
       "log(\!\(\*\nStyleBox[\"L\",\nFontSlant->\"Italic\"]\)1/H)"}, -6, -4, 
      0.1}, {
      Hold[
       Style["R1+C2/(R2+M2)", 10, Bold]], 
      Manipulate`Dump`ThisIsNotAControl}, {{
       Hold[$CellContext`logRd$$], 3, 
       "log(\!\(\*SubscriptBox[\n StyleBox[\"R\",\nFontSlant->\"Italic\"], \
\"d\"]\)/\[CapitalOmega])"}, -2, 4, 0.1}, {{
       Hold[$CellContext`tau$$], 3, "\[Tau]/s"}, 0.1, 5, 0.1}}, 
    Typeset`size$$ = {325., {295., 299.}}, Typeset`update$$ = 0, 
    Typeset`initDone$$, Typeset`skipInitDone$$ = 
    False, $CellContext`circuit$31216$$ = False, $CellContext`logf$31217$$ = 
    0, $CellContext`logR1$31218$$ = 0, $CellContext`logR2$31219$$ = 
    0, $CellContext`logC2$31220$$ = 0, $CellContext`logL1$31221$$ = 
    0, $CellContext`logRd$31222$$ = 0, $CellContext`tau$31223$$ = 0}, 
    DynamicBox[Manipulate`ManipulateBoxes[
     1, StandardForm, 
      "Variables" :> {$CellContext`circuit$$ = 
        1, $CellContext`logC2$$ = -8, $CellContext`logf$$ = 
        2, $CellContext`logL1$$ = -6., $CellContext`logR1$$ = 
        1, $CellContext`logR2$$ = 3, $CellContext`logRd$$ = 
        3, $CellContext`tau$$ = 3}, "ControllerVariables" :> {
        Hold[$CellContext`circuit$$, $CellContext`circuit$31216$$, False], 
        Hold[$CellContext`logf$$, $CellContext`logf$31217$$, 0], 
        Hold[$CellContext`logR1$$, $CellContext`logR1$31218$$, 0], 
        Hold[$CellContext`logR2$$, $CellContext`logR2$31219$$, 0], 
        Hold[$CellContext`logC2$$, $CellContext`logC2$31220$$, 0], 
        Hold[$CellContext`logL1$$, $CellContext`logL1$31221$$, 0], 
        Hold[$CellContext`logRd$$, $CellContext`logRd$31222$$, 0], 
        Hold[$CellContext`tau$$, $CellContext`tau$31223$$, 0]}, 
      "OtherVariables" :> {
       Typeset`show$$, Typeset`bookmarkList$$, Typeset`bookmarkMode$$, 
        Typeset`animator$$, Typeset`animvar$$, Typeset`name$$, 
        Typeset`specs$$, Typeset`size$$, Typeset`update$$, Typeset`initDone$$,
         Typeset`skipInitDone$$}, 
      "Body" :> ($CellContext`R1 = 10^$CellContext`logR1$$; $CellContext`R2 = 
        10^$CellContext`logR2$$; $CellContext`C2 = 
        10^$CellContext`logC2$$; $CellContext`Rd = 
        10^$CellContext`logRd$$; $CellContext`L1 = 
        10^$CellContext`logL1$$; $CellContext`lad = {
         1/($CellContext`R1 + $CellContext`R2), 
          1/($CellContext`R1 + $CellContext`R2), 
          1/($CellContext`R1 + $CellContext`R2 + $CellContext`Rd/
           3)}; $CellContext`fc = 
        1/(2 Pi $CellContext`R2 $CellContext`C2); $CellContext`x = \
$CellContext`logf$$; $CellContext`y = Log10[
          Abs[
           Subscript[$CellContext`Z, $CellContext`circuit$$][
           I 2 Pi 10^$CellContext`logf$$]]]; $CellContext`couleur = 
        Red; $CellContext`colpol = LightRed; If[
         Or[
          
          And[$CellContext`x < $CellContext`x31, $CellContext`y < 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`lab3, 1]]], 
          
          And[$CellContext`x > $CellContext`x31, $CellContext`x < \
$CellContext`x32, $CellContext`y < 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`lab3, 2]]], 
          
          And[$CellContext`x > $CellContext`x32, $CellContext`y < 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`lab3, 3]]]], {$CellContext`couleur = 
          Orange, $CellContext`colpol = LightOrange}]; If[
         Or[
          
          And[$CellContext`x < $CellContext`x21, $CellContext`y < 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`lab2, 1]]], 
          
          And[$CellContext`x > $CellContext`x21, $CellContext`x < \
$CellContext`x22, $CellContext`y < 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`lab2, 2]]], 
          
          And[$CellContext`x > $CellContext`x22, $CellContext`x < \
$CellContext`x23, $CellContext`y < 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`lab2, 3]]], 
          
          And[$CellContext`x > $CellContext`x23, $CellContext`x < \
$CellContext`x24, $CellContext`y < 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`lab2, 4]]], 
          
          And[$CellContext`x > $CellContext`x24, $CellContext`y < 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`lab2, 5]]]], {$CellContext`couleur = 
          Yellow, $CellContext`colpol = LightYellow}]; If[
         Or[
          
          And[$CellContext`x < $CellContext`x11, $CellContext`y < 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`lab1, 1]]], 
          
          And[$CellContext`x > $CellContext`x11, $CellContext`x < \
$CellContext`x12, $CellContext`y < 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`lab1, 2]]], 
          
          And[$CellContext`x > $CellContext`x12, $CellContext`y < 
           ReplaceAll[$CellContext`a $CellContext`x + $CellContext`b, 
             Part[$CellContext`lab1, 3]]]], {$CellContext`couleur = 
          Green, $CellContext`colpol = LightGreen}]; $CellContext`gNyq = 
        ParametricPlot[Part[$CellContext`lad, $CellContext`circuit$$] {
            Re[
             Subscript[$CellContext`Z, $CellContext`circuit$$][
             I 2 Pi 10^$CellContext`logfreq]], -Im[
              Subscript[$CellContext`Z, $CellContext`circuit$$][
              I 2 Pi 10^$CellContext`logfreq]]}, {$CellContext`logfreq, -5, 
           12}, Frame -> True, FrameLabel -> {
            Part[$CellContext`llabelNyqx, $CellContext`circuit$$], 
            Part[$CellContext`llabelNyqy, $CellContext`circuit$$]}, 
          PlotRange -> {{-0.05, 1.1}, {-0.2, 0.7}}, 
          BaseStyle -> {FontFamily -> "Helvetica", FontSize -> 10}, PlotStyle -> {
            AbsoluteThickness[2]}, AxesOrigin -> {0, 0}, 
          FrameTicks -> {{0, 0.5, 1}, {0, 0.5}, None, None}, 
          Epilog -> {$CellContext`colpol, $CellContext`poly, 
            Black, $CellContext`precis, 
            AbsoluteThickness[2.], 
            AbsolutePointSize[10], Black, 
            Point[Part[$CellContext`lad, $CellContext`circuit$$] {
               Re[
                Subscript[$CellContext`Z, $CellContext`circuit$$][
                I 2 Pi 10^$CellContext`logf$$]], -Im[
                 Subscript[$CellContext`Z, $CellContext`circuit$$][
                 I 2 Pi 10^$CellContext`logf$$]]}], 
            AbsolutePointSize[8], $CellContext`couleur, 
            Point[Part[$CellContext`lad, $CellContext`circuit$$] {
               Re[
                Subscript[$CellContext`Z, $CellContext`circuit$$][
                I 2 Pi 10^$CellContext`logf$$]], -Im[
                 Subscript[$CellContext`Z, $CellContext`circuit$$][
                 I 2 Pi 10^$CellContext`logf$$]]}]}, ImageSize -> 
          300]; $CellContext`gBod = Plot[
          Log10[
           Abs[
            Subscript[$CellContext`Z, $CellContext`circuit$$][
            I 2 Pi 10^$CellContext`logfreq]]], {$CellContext`logfreq, \
$CellContext`logfmin, $CellContext`logfmax}, PlotStyle -> {
            AbsoluteThickness[2]}, 
          PlotRange -> {{$CellContext`logfmin, $CellContext`logfmax}, \
{$CellContext`logmodmin, $CellContext`logmodmax}}, Frame -> True, 
          BaseStyle -> {FontFamily -> "Helvetica", FontSize -> 10}, 
          FrameLabel -> {
           "log(\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)/Hz)", 
            "log(|\!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)|/\
\[CapitalOmega])"}, Axes -> None, 
          Epilog -> {$CellContext`colpol, $CellContext`poly, 
            Black, $CellContext`precis, 
            AbsolutePointSize[10], Black, 
            Point[{$CellContext`x, $CellContext`y}], 
            AbsolutePointSize[8], $CellContext`couleur, 
            Point[{$CellContext`x, $CellContext`y}]}, 
          FrameTicks -> {{-2, 0, 2, 4, 6}, {0, 2, 4, 6, 8, 10}, None, None}, 
          ImageSize -> 325]; 
       GraphicsColumn[{$CellContext`gNyq, $CellContext`gBod, 
          
          Show[$CellContext`gContour3300, $CellContext`gBod, 
           Epilog -> {
            Black, $CellContext`t1, $CellContext`t2, $CellContext`t3, \
$CellContext`t4, 
             AbsoluteThickness[2.], 
             
             Circle[{$CellContext`x, $CellContext`y}, 
              0.15 {1, GoldenRatio (12/11)}], 
             AbsolutePointSize[7], $CellContext`couleur, 
             Point[{$CellContext`x, $CellContext`y}]}]}, ImageSize -> 325, 
         Spacings -> 0]), "Specifications" :> {
        Style["How to use EIS contour plot.", Bold, Medium], Delimiter, 
        Style["Potentiostat 3300", Bold, Medium], Delimiter, 
        Style["Simulation for the", Bold, Medium], 
        Style[
        "equivalent circuit", Bold, 
         Medium], {{$CellContext`circuit$$, 1, ""}, {
         1 -> "R1+R2/C2", 2 -> "R1+L1+R2/C2", 3 -> "R1+C2/(R2+M2)"}, 
         ControlType -> PopupMenu}, 
        Dynamic[
         Part[$CellContext`graphCirc, $CellContext`circuit$$]], Delimiter, 
        Style[
        "Frequency parameter", 10, 
         Bold], {{$CellContext`logf$$, 2, 
          "log(\!\(\*\nStyleBox[\"f\",\nFontSlant->\"Italic\"]\)/Hz)"}, -2, 6,
          0.1, ImageSize -> Tiny, Appearance -> "Labeled"}, Delimiter, 
        Style[
        "R1+R2/C2, common parameters", 10, 
         Bold], {{$CellContext`logR1$$, 1, 
          "log(\!\(\*\nStyleBox[\"R\",\nFontSlant->\"Italic\"]\)1/\
\[CapitalOmega])"}, 0, 2, 0.1, ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`logR2$$, 3, 
          "log(\!\(\*\nStyleBox[\"R\",\nFontSlant->\"Italic\"]\)2/\
\[CapitalOmega])"}, 1, 10, 0.1, ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`logC2$$, -8, 
          "log(\!\(\*\nStyleBox[\"C\",\nFontSlant->\"Italic\"]\)2/F)"}, -8, \
-5, 0.1, ImageSize -> Tiny, Appearance -> "Labeled"}, Delimiter, 
        Style[
        "L1+R1+R2/C2", 10, 
         Bold], {{$CellContext`logL1$$, -6., 
          "log(\!\(\*\nStyleBox[\"L\",\nFontSlant->\"Italic\"]\)1/H)"}, -6, \
-4, 0.1, ImageSize -> Tiny, Appearance -> "Labeled"}, Delimiter, 
        Style[
        "R1+C2/(R2+M2)", 10, 
         Bold], {{$CellContext`logRd$$, 3, 
          
          "log(\!\(\*SubscriptBox[\n StyleBox[\"R\",\nFontSlant->\"Italic\"], \
\"d\"]\)/\[CapitalOmega])"}, -2, 4, 0.1, ImageSize -> Tiny, Appearance -> 
         "Labeled"}, {{$CellContext`tau$$, 3, "\[Tau]/s"}, 0.1, 5, 0.1, 
         ImageSize -> Tiny, Appearance -> "Labeled"}}, 
      "Options" :> {
       ControlPlacement -> Left, TrackedSymbols -> True, FrameLabel -> {
          Style["2014 \[Copyright] www.bio-logic.info", Medium]}}, 
      "DefaultOptions" :> {}],
     ImageSizeCache->{581., {330., 336.}},
     SingleEvaluation->True],
    Deinitialization:>None,
    DynamicModuleValues:>{},
    Initialization:>((Subscript[$CellContext`Z, 1][
         Pattern[$CellContext`p, 
          Blank[]]] := $CellContext`R1 + $CellContext`R2/(
         1 + $CellContext`R2 $CellContext`C2 $CellContext`p); 
      Subscript[$CellContext`Z, 2][
         Pattern[$CellContext`p, 
          
          Blank[]]] := $CellContext`L1 $CellContext`p + $CellContext`R1 + \
$CellContext`R2/(1 + $CellContext`R2 $CellContext`C2 $CellContext`p); 
      Subscript[$CellContext`Z, 3][
         Pattern[$CellContext`p$, 
          
          Blank[]]] := $CellContext`R1 + ($CellContext`R2 + $CellContext`Rd (
            Coth[($CellContext`tau$$ $CellContext`p$)^
              Rational[1, 2]]/($CellContext`tau$$ $CellContext`p$)^
            Rational[1, 2]))/(
         1 + $CellContext`p$ $CellContext`C2 ($CellContext`R2 + \
$CellContext`Rd (
             Coth[($CellContext`tau$$ $CellContext`p$)^
               Rational[1, 2]]/($CellContext`tau$$ $CellContext`p$)^
             Rational[1, 2]))); Cap[
         Pattern[$CellContext`xO, 
          Blank[]], 
         Pattern[$CellContext`yO, 
          Blank[]], 
         Pattern[$CellContext`L, 
          Blank[]], 
         Pattern[$CellContext`l, 
          Blank[]]] := Graphics[{
          AbsoluteThickness[$CellContext`trfin], 
          
          Line[{{$CellContext`xO, $CellContext`yO}, {$CellContext`xO + \
$CellContext`L - $CellContext`L/20, $CellContext`yO}}], 
          
          Line[{{$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO}, {$CellContext`xO + 
             2 $CellContext`L, $CellContext`yO}}], 
          AbsoluteThickness[$CellContext`trepais], 
          
          Line[{{$CellContext`xO + $CellContext`L - $CellContext`L/
             20, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L - $CellContext`L/
             20, $CellContext`yO + $CellContext`l/2}}], 
          
          Line[{{$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO + $CellContext`l/2}}]}]; $CellContext`Res[
         Pattern[$CellContext`xO, 
          Blank[]], 
         Pattern[$CellContext`yO, 
          Blank[]], 
         Pattern[$CellContext`L, 
          Blank[]], 
         Pattern[$CellContext`l, 
          Blank[]]] := Graphics[{
          AbsoluteThickness[$CellContext`trfin], 
          
          Line[{{$CellContext`xO, $CellContext`yO}, {$CellContext`xO + \
$CellContext`L/2, $CellContext`yO}}], 
          
          Line[{{$CellContext`xO + 
             3 ($CellContext`L/2), $CellContext`yO}, {$CellContext`xO + 
             2 $CellContext`L, $CellContext`yO}}], 
          AbsoluteThickness[$CellContext`tr], 
          
          Line[{{$CellContext`xO + $CellContext`L/
              2, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L/
              2 + $CellContext`L, $CellContext`yO - $CellContext`l/2}}], 
          
          Line[{{$CellContext`xO + $CellContext`L/
              2 + $CellContext`L, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L/
              2 + $CellContext`L, $CellContext`yO + $CellContext`l - \
$CellContext`l/2}}], 
          
          Line[{{$CellContext`xO + $CellContext`L/
              2 + $CellContext`L, $CellContext`yO + $CellContext`l - \
$CellContext`l/
             2}, {$CellContext`xO + $CellContext`L/
              2, $CellContext`yO + $CellContext`l - $CellContext`l/2}}], 
          
          Line[{{$CellContext`xO + $CellContext`L/
              2, $CellContext`yO + $CellContext`l - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L/
              2, $CellContext`yO - $CellContext`l/2}}]}]; $CellContext`RpC[
         Pattern[$CellContext`x0, 
          Blank[]], 
         Pattern[$CellContext`y0, 
          Blank[]], 
         Pattern[$CellContext`L, 
          Blank[]], 
         Pattern[$CellContext`l, 
          Blank[]]] := Block[{}, {
          Graphics[{
            AbsoluteThickness[$CellContext`trfin], 
            
            Line[{{$CellContext`x0, $CellContext`y0}, {$CellContext`x0, \
$CellContext`y0 + $CellContext`L}}], 
            
            Line[{{$CellContext`x0 + 
               2 $CellContext`L, $CellContext`y0}, {$CellContext`x0 + 
               2 $CellContext`L, $CellContext`y0 + $CellContext`L}}], 
            
            Line[{{$CellContext`x0 - $CellContext`L/
               2, $CellContext`y0 + $CellContext`L/
                2}, {$CellContext`x0, $CellContext`y0 + $CellContext`L/2}}], 
            
            Line[{{$CellContext`x0 + 
               2 $CellContext`L, $CellContext`y0 + $CellContext`L/
                2}, {$CellContext`x0 + 
               2 $CellContext`L + $CellContext`L/
                2, $CellContext`y0 + $CellContext`L/2}}]}], 
          $CellContext`Res[$CellContext`x0, $CellContext`y0, $CellContext`L, \
$CellContext`l], 
          
          Cap[$CellContext`x0, $CellContext`L, $CellContext`L, \
$CellContext`l]}]; $CellContext`trfin = 0.5; $CellContext`tr = 
       1; $CellContext`trepais = 1.5; $CellContext`L = 1; $CellContext`l = 
       0.4; $CellContext`fRRC = Show[{
          $CellContext`Res[
          0.5 $CellContext`L, $CellContext`L/
           2, $CellContext`L, $CellContext`l], 
          $CellContext`RpC[2.5, 0, 1, $CellContext`l]}, AspectRatio -> 
         Automatic, Epilog -> {
           Text["C2", {3.5, 1.5}], 
           Text["R1", {1.5 $CellContext`L, 0.475}], 
           Text["R2", {3.5, 0}]}, PlotRange -> {{0.5, 5.}, {-0.5, 1.75}}, 
         ImageSize -> {210, 125}, 
         BaseStyle -> {
          FontFamily -> "Helvetica", FontSize -> 10}]; $CellContext`coth[
         Pattern[$CellContext`xO, 
          Blank[]], 
         Pattern[$CellContext`yO, 
          Blank[]], 
         Pattern[$CellContext`L, 
          Blank[]], 
         Pattern[$CellContext`l, 
          Blank[]]] := Graphics[{
          AbsoluteThickness[$CellContext`trfin], 
          
          Line[{{$CellContext`xO, $CellContext`yO}, {$CellContext`xO + \
$CellContext`L - $CellContext`L/10, $CellContext`yO}}], 
          
          Line[{{$CellContext`xO + $CellContext`L + $CellContext`L/
              10, $CellContext`yO}, {$CellContext`xO + 
             2 $CellContext`L, $CellContext`yO}}], 
          AbsoluteThickness[$CellContext`tr], 
          
          Line[{{$CellContext`xO + $CellContext`L - $CellContext`L/
             20, $CellContext`yO + $CellContext`l/
              2}, {$CellContext`xO + $CellContext`L - $CellContext`L/
             10, $CellContext`yO - $CellContext`l/
             2}, {$CellContext`xO + $CellContext`L - $CellContext`L/
             20, $CellContext`yO + $CellContext`l/
              2}, {$CellContext`xO + $CellContext`L, $CellContext`yO - \
$CellContext`l/
             2}, {$CellContext`xO + $CellContext`L, $CellContext`yO - \
$CellContext`l/
             2}, {$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO + $CellContext`l/
              2}, {$CellContext`xO + $CellContext`L + $CellContext`L/
              20, $CellContext`yO + $CellContext`l/
              2}, {$CellContext`xO + $CellContext`L + $CellContext`L/
              10, $CellContext`yO - $CellContext`l/2}}]}]; $CellContext`fRCRM = 
       Show[
         $CellContext`Res[0, 0, $CellContext`L, $CellContext`l], 
         $CellContext`Res[
         2 $CellContext`L, 0, $CellContext`L, $CellContext`l], 
         $CellContext`coth[
         3.5 $CellContext`L, 0, $CellContext`L, $CellContext`l], 
         Cap[
         2.5 $CellContext`L, $CellContext`L, $CellContext`L, $CellContext`l], 
         
         Graphics[{
           AbsoluteThickness[$CellContext`trfin], 
           Line[{{2 $CellContext`L, 0}, {2 $CellContext`L, $CellContext`L}}], 
           
           
           Line[{{2 $CellContext`L, $CellContext`L}, {
             2.5 $CellContext`L, $CellContext`L}}], 
           Line[{{4.5 $CellContext`L, $CellContext`L}, {
             5 $CellContext`L, $CellContext`L}}], 
           
           Line[{{5 $CellContext`L, $CellContext`L}, {
             5 $CellContext`L, 0}}]}], AspectRatio -> Automatic, Epilog -> {
           Text["R1", {$CellContext`L, 0}], 
           Text["R2", {3 $CellContext`L, 0}], 
           Text["C2", {3.5 $CellContext`L, 1.5 $CellContext`L}], 
           Text["R2", {3 $CellContext`L, 0}], 
           Text["M2", {4.5 $CellContext`L, 0.5 $CellContext`L}]}, 
         PlotRange -> {{0, 5.5}, {-0.9, 2. $CellContext`L}}, 
         ImageSize -> {210, 125}, 
         BaseStyle -> {
          FontFamily -> "Helvetica", FontSize -> 8}]; $CellContext`Ind[
         Pattern[$CellContext`xO, 
          Blank[]], 
         Pattern[$CellContext`yO, 
          Blank[]], 
         Pattern[$CellContext`r, 
          Blank[]]] := Graphics[{
          AbsoluteThickness[$CellContext`trfin], 
          
          Line[{{$CellContext`xO, $CellContext`yO}, {$CellContext`xO + 
             1.2 ($CellContext`r/2), $CellContext`yO}}], 
          
          Line[{{$CellContext`xO + $CellContext`r/2 + 
             9 ($CellContext`r/10), $CellContext`yO}, {$CellContext`xO + 
             2 $CellContext`r, $CellContext`yO}}], 
          AbsoluteThickness[$CellContext`tr], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            2 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/
           10, {(-Pi)/4, Pi}], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            3.5 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/
           10, {(-Pi)/4, 5 (Pi/4)}], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            5 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/
           10, {(-Pi)/4, 5 (Pi/4)}], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            6.5 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/
           10, {(-Pi)/4, 5 (Pi/4)}], 
          
          Circle[{$CellContext`xO + $CellContext`r/2 + 
            8 ($CellContext`r/10), $CellContext`yO}, $CellContext`r/10, {
           0, 5 (Pi/4)}]}]; $CellContext`fRLRC = Show[{
          $CellContext`Res[-$CellContext`L, $CellContext`L/
           2, $CellContext`L, $CellContext`l], 
          $CellContext`Ind[$CellContext`L/2, $CellContext`L/2, 1], 
          $CellContext`RpC[2.5, 0, 1, $CellContext`l]}, AspectRatio -> 
         Automatic, Epilog -> {
           Text["L1", {1.5, 0.9}], 
           Text["C2", {3.5, 1.5}], 
           Text["R1", {0, 0.475}], 
           Text["R2", {3.5, 0}], FontWeight -> "Bold", FontSize -> 12, 
           Text["\[Copyright] www.bio-logic.info", {-6.5, -3.5}, {-4, 0}]}, 
         PlotRange -> {{(-1.05) $CellContext`L, 5.}, {-0.5, 1.75}}, 
         ImageSize -> {210, 125}, 
         BaseStyle -> {
          FontFamily -> "Helvetica", FontSize -> 
           10}]; $CellContext`graphCirc = {$CellContext`fRRC, \
$CellContext`fRLRC, $CellContext`fRCRM}; $CellContext`logfmin = -2; \
$CellContext`logfmax = 6; $CellContext`logmodmin = 
       0.5; $CellContext`logmodmax = 
       11; $CellContext`lcoord1 = {{170, 729}, {912, 729}, {960, 662}, {961, 
        165}}; $CellContext`lcoord2 = {{170, 800}, {595, 800}, {650, 729}, {
        912, 729}, {960, 662}, {961, 165}}; $CellContext`lcoord3 = {{170, 
        868}, {591, 868}, {641, 800}, {1018, 800}}; $CellContext`fx = 
       0.93 10^(-2); $CellContext`decx = -3.6; $CellContext`fy = 
       0.01235; $CellContext`decy = -1.45; $CellContext`labellogf = 
       Row[{"log(", 
          Style["f", Italic], "/Hz)"}]; $CellContext`labellogmodZ = 
       Row[{"log(|", 
          Style["Z", Italic], 
          "|/\[CapitalOmega])"}]; $CellContext`gContour3300 = Show[
         Graphics[{$CellContext`c0 = LightRed; $CellContext`c1 = 
            LightGreen; $CellContext`c2 = LightYellow; $CellContext`c3 = 
            LightOrange; $CellContext`c0, 
           
           Polygon[{{-2, 0.5}, {6, 0.5}, {
             6, $CellContext`logmodmax}, {-2, $CellContext`logmodmax}}], \
$CellContext`c3, 
           Polygon[
            Join[
             
             Transpose[{$CellContext`decx, $CellContext`decy} + \
{$CellContext`fx, $CellContext`fy} Transpose[$CellContext`lcoord3]], {{
              6, 0.5}, {-1.95, 0.5}}]], $CellContext`c2, 
           Polygon[
            Join[
             
             Transpose[{$CellContext`decx, $CellContext`decy} + \
{$CellContext`fx, $CellContext`fy} Transpose[$CellContext`lcoord2]], {{5.5, 
             0.5}, {-1.95, 0.5}}]], $CellContext`c1, 
           Polygon[
            Join[
             
             Transpose[{$CellContext`decx, $CellContext`decy} + \
{$CellContext`fx, $CellContext`fy} Transpose[$CellContext`lcoord1]], {{5.5, 
             0.5}, {-1.95, 0.5}}]], Black, 
           AbsoluteThickness[1.25], 
           Line[
            
            Transpose[{$CellContext`decx, $CellContext`decy} + \
{$CellContext`fx, $CellContext`fy} Transpose[$CellContext`lcoord1]]], 
           Line[
            
            Transpose[{$CellContext`decx, $CellContext`decy} + \
{$CellContext`fx, $CellContext`fy} Transpose[$CellContext`lcoord2]]], 
           Line[
            
            Transpose[{$CellContext`decx, $CellContext`decy} + \
{$CellContext`fx, $CellContext`fy} Transpose[$CellContext`lcoord3]]]}], 
         ImageSize -> 350, 
         FrameLabel -> {$CellContext`labellogf, $CellContext`labellogmodZ}, 
         PlotRange -> {{$CellContext`logfmin, $CellContext`logfmax}, \
{$CellContext`logmodmin, $CellContext`logmodmax}}, Frame -> True, AspectRatio -> 
         1/GoldenRatio, 
         BaseStyle -> {FontFamily -> "Helvetica", FontSize -> 10}, 
         FrameTicks -> {{-2, 0, 2, 4, 6}, {0, 2, 4, 6, 8, 10}, None, 
           None}]; $CellContext`lpt1 = 
       Transpose[{$CellContext`decx, $CellContext`decy} + {$CellContext`fx, \
$CellContext`fy} Transpose[$CellContext`lcoord1]]; $CellContext`sol = First[
         FullSimplify[
          
          Solve[{$CellContext`y1 == $CellContext`a $CellContext`x1 + \
$CellContext`b, $CellContext`y2 == $CellContext`a $CellContext`x2 + \
$CellContext`b}, {$CellContext`a, $CellContext`b}]]]; $CellContext`lab1 = 
       Table[
         ReplaceAll[$CellContext`sol, {$CellContext`x1 -> 
           Part[$CellContext`lpt1, $CellContext`i, 1], $CellContext`y1 -> 
           Part[$CellContext`lpt1, $CellContext`i, 2], $CellContext`x2 -> 
           Part[$CellContext`lpt1, $CellContext`i + 1, 1], $CellContext`y2 -> 
           Part[$CellContext`lpt1, $CellContext`i + 1, 2]}], {$CellContext`i, 
          Length[$CellContext`lpt1] - 1}]; $CellContext`lpt2 = 
       Transpose[{$CellContext`decx, $CellContext`decy} + {$CellContext`fx, \
$CellContext`fy} Transpose[$CellContext`lcoord2]]; $CellContext`lab2 = Table[
         ReplaceAll[$CellContext`sol, {$CellContext`x1 -> 
           Part[$CellContext`lpt2, $CellContext`i, 1], $CellContext`y1 -> 
           Part[$CellContext`lpt2, $CellContext`i, 2], $CellContext`x2 -> 
           Part[$CellContext`lpt2, $CellContext`i + 1, 1], $CellContext`y2 -> 
           Part[$CellContext`lpt2, $CellContext`i + 1, 2]}], {$CellContext`i, 
          Length[$CellContext`lpt2] - 1}]; $CellContext`lpt3 = 
       Transpose[{$CellContext`decx, $CellContext`decy} + {$CellContext`fx, \
$CellContext`fy} Transpose[$CellContext`lcoord3]]; $CellContext`lab3 = Table[
         ReplaceAll[$CellContext`sol, {$CellContext`x1 -> 
           Part[$CellContext`lpt3, $CellContext`i, 1], $CellContext`y1 -> 
           Part[$CellContext`lpt3, $CellContext`i, 2], $CellContext`x2 -> 
           Part[$CellContext`lpt3, $CellContext`i + 1, 1], $CellContext`y2 -> 
           Part[$CellContext`lpt3, $CellContext`i + 1, 2]}], {$CellContext`i, 
          Length[$CellContext`lpt3] - 1}]; $CellContext`x31 = First[
         ReplaceAll[$CellContext`xx, 
          Solve[
           ReplaceAll[
           ReplaceAll[$CellContext`a $CellContext`xx + $CellContext`b, 
              
              Part[$CellContext`lab3, 
               1]] == $CellContext`a $CellContext`xx + $CellContext`b, 
            Part[$CellContext`lab3, 2]], $CellContext`xx]]]; $CellContext`x32 = 
       First[
         ReplaceAll[$CellContext`xx, 
          Solve[
           ReplaceAll[
           ReplaceAll[$CellContext`a $CellContext`xx + $CellContext`b, 
              
              Part[$CellContext`lab3, 
               2]] == $CellContext`a $CellContext`xx + $CellContext`b, 
            Part[$CellContext`lab3, 3]], $CellContext`xx]]]; $CellContext`x21 = 
       First[
         ReplaceAll[$CellContext`xx, 
          Solve[
           ReplaceAll[
           ReplaceAll[$CellContext`a $CellContext`xx + $CellContext`b, 
              
              Part[$CellContext`lab2, 
               1]] == $CellContext`a $CellContext`xx + $CellContext`b, 
            Part[$CellContext`lab2, 2]], $CellContext`xx]]]; $CellContext`x22 = 
       First[
         ReplaceAll[$CellContext`xx, 
          Solve[
           ReplaceAll[
           ReplaceAll[$CellContext`a $CellContext`xx + $CellContext`b, 
              
              Part[$CellContext`lab2, 
               2]] == $CellContext`a $CellContext`xx + $CellContext`b, 
            Part[$CellContext`lab2, 3]], $CellContext`xx]]]; $CellContext`x23 = 
       First[
         ReplaceAll[$CellContext`xx, 
          Solve[
           ReplaceAll[
           ReplaceAll[$CellContext`a $CellContext`xx + $CellContext`b, 
              
              Part[$CellContext`lab2, 
               3]] == $CellContext`a $CellContext`xx + $CellContext`b, 
            Part[$CellContext`lab2, 4]], $CellContext`xx]]]; $CellContext`x24 = 
       First[
         ReplaceAll[$CellContext`xx, 
          Solve[
           ReplaceAll[
           ReplaceAll[$CellContext`a $CellContext`xx + $CellContext`b, 
              
              Part[$CellContext`lab2, 
               4]] == $CellContext`a $CellContext`xx + $CellContext`b, 
            Part[$CellContext`lab2, 5]], $CellContext`xx]]]; $CellContext`x11 = 
       First[
         ReplaceAll[$CellContext`xx, 
          Solve[
           ReplaceAll[
           ReplaceAll[$CellContext`a $CellContext`xx + $CellContext`b, 
              
              Part[$CellContext`lab1, 
               1]] == $CellContext`a $CellContext`xx + $CellContext`b, 
            Part[$CellContext`lab1, 2]], $CellContext`xx]]]; $CellContext`x12 = 
       First[
         ReplaceAll[$CellContext`xx, 
          Solve[
           ReplaceAll[
           ReplaceAll[$CellContext`a $CellContext`xx + $CellContext`b, 
              
              Part[$CellContext`lab1, 
               2]] == $CellContext`a $CellContext`xx + $CellContext`b, 
            Part[$CellContext`lab1, 
             3]], $CellContext`xx]]]; $CellContext`poly = Polygon[{
          Scaled[{0.05, 0.875}], 
          Scaled[{0.95, 0.875}], 
          Scaled[{0.95, 0.95}], 
          Scaled[{0.05, 0.95}]}]; $CellContext`t1 = 
       Text["0.3% 0.3\[Degree]", 
         Scaled[{0.4, 0.4}]]; $CellContext`t2 = Text["1%, 0.5\[Degree]", 
         Scaled[{0.3, 0.72}]]; $CellContext`t3 = Text["3%, 2\[Degree]", 
         Scaled[{0.3, 0.8}]]; $CellContext`t4 = Text["> 3%, > 2\[Degree]", 
         Scaled[{0.3, 0.92}]]; $CellContext`precis := Condition[
         Text[
          Style[
          "\[CapitalDelta]|Z|/|Z| < 0.3%,  \!\(\*SubscriptBox[\(\
\[CapitalDelta]\[Phi]\), \(Z\)]\) < 0.3\[Degree]", Bold, Medium], 
          Scaled[{0.5, 0.9}]], $CellContext`couleur == 
         Green]; $CellContext`precis := Condition[
         Text[
          Style[
          "0.3% < \[CapitalDelta]|Z|/|Z| < 1%, 0.3% < \!\(\*SubscriptBox[\(\
\[CapitalDelta]\[Phi]\), \(Z\)]\) < 0.5\[Degree]", Bold, Medium], 
          Scaled[{0.5, 0.9}]], $CellContext`couleur == 
         Yellow]; $CellContext`precis := Condition[
         Text[
          Style[
          "1% < \[CapitalDelta]|Z|/|Z| < 3%, 0.5% < \!\(\*SubscriptBox[\(\
\[CapitalDelta]\[Phi]\), \(Z\)]\) < 2\[Degree]", Bold, Medium], 
          Scaled[{0.5, 0.9}]], $CellContext`couleur == 
         Orange]; $CellContext`precis := Condition[
         Text[
          Style[
          " \[CapitalDelta]|Z|/|Z| > 3%, \!\(\*SubscriptBox[\(\[CapitalDelta]\
\[Phi]\), \(Z\)]\) > 3\[Degree]", Bold, Medium], 
          Scaled[{0.5, 0.9}]], $CellContext`couleur == 
         Red]; $CellContext`llabelNyqx = {
        "Re \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\))", 
         "Re \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\))", 
         "Re \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"+\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"Rd\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"/\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"3\",\nFontSlant->\"Italic\"]\))"}; \
$CellContext`llabelNyqy = {
        "- Im \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\))", 
         "- Im \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\))", 
         "- Im \!\(\*\nStyleBox[\"Z\",\nFontSlant->\"Italic\"]\)/(\!\(\*\n\
StyleBox[\"R1\",\nFontSlant->\"Italic\"]\)+\!\(\*\nStyleBox[\"R2\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"+\",\nFontSlant->\"Italic\"]\)\!\(\
\*\nStyleBox[\"Rd\",\nFontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"/\",\n\
FontSlant->\"Italic\"]\)\!\(\*\nStyleBox[\"3\",\nFontSlant->\"Italic\"]\))"}; 
      Null); Typeset`initDone$$ = True),
    SynchronousInitialization->True,
    UnsavedVariables:>{Typeset`initDone$$},
    UntrackedVariables:>{Typeset`size$$}], "Manipulate",
   Deployed->True,
   StripOnInput->False],
  Manipulate`InterpretManipulate[1]]], "Output", "PluginEmbeddedContent",
 GeneratedCell->False,
 CellAutoOverwrite->False]
},
WindowSize->{620.1, 688.04},
ScrollingOptions->{"HorizontalScrollRange"->Fit,
"VerticalScrollRange"->Fit},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
ShowCellBracket->False,
Deployed->True,
CellContext->Notebook,
TrackCellChangeTimes->False,
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (October 5, \
2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[1235, 30, 35566, 740, 668, "Output"]
}
]
*)

(* End of internal cache information *)

(* NotebookSignature QupRXXFjJU8ESB1pAgMfnr63 *)
